Name:		cups-pk-helper
Version:	0.2.6
Release:	%mkrel 1
Summary:	A helper that makes system-config-printer use PolicyKit
Group:		System/Printing
License:	GPLv2+
URL:		http://www.freedesktop.org/wiki/Software/cups-pk-helper/
Source0:	http://cgit.freedesktop.org/%{name}/snapshot/%{name}-%{version}.tar.bz2
BuildRequires:	libtool >= 1.4.3
BuildRequires:	cups-devel >= 1.2
BuildRequires:	pkgconfig(python) >= 2.4
BuildRequires:	pkgconfig(gtk+-2.0) >= 2.12.0
BuildRequires:	pkgconfig(dbus-glib-1) >= 0.74
BuildRequires:	pkgconfig(polkit-gobject-1) >= 0.92
BuildRequires:	polkit-gnome >= 0.92
BuildRequires:	intltool >= 0.40.0
BuildRequires:	gettext-devel >= 0.17
BuildRequires:	gnome-common >= 2.26
Requires:	python

%description
cups-pk-helper is an application which makes cups configuration
interfaces available under control of PolicyKit.

%prep
%setup -q

%build
./autogen.sh
%configure2_5x
%make

%install
%makeinstall_std

%find_lang %{name}

%files -f %{name}.lang
%{_libexecdir}/cups-pk-helper-mechanism
%config(noreplace) %{_sysconfdir}/dbus-1/system.d/org.opensuse.CupsPkHelper.Mechanism.conf
%{_datadir}/dbus-1/system-services/org.opensuse.CupsPkHelper.Mechanism.service
%{_datadir}/polkit-1/actions/org.opensuse.cupspkhelper.mechanism.policy
%doc AUTHORS COPYING NEWS


%changelog
* Mon May 09 2016 luigiwalser <luigiwalser> 0.2.6-1.mga6
+ Revision: 1011342
- 0.2.6

* Fri Feb 12 2016 luigiwalser <luigiwalser> 0.2.5-5.mga6
+ Revision: 959301
- use configure2_5x

* Wed Oct 15 2014 umeabot <umeabot> 0.2.5-4.mga5
+ Revision: 749539
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.5-3.mga5
+ Revision: 678636
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.2.5-2.mga4
+ Revision: 531240
- Mageia 4 Mass Rebuild

* Fri Aug 02 2013 dams <dams> 0.2.5-1.mga4
+ Revision: 462612
- new version 0.2.5
- remove useless patches (merged upstream)
- update specfile

* Mon May 27 2013 dams <dams> 0.2.4-3.mga4
+ Revision: 428889
- add a patch to fix 'not a valid printer name' bug when installing a printer

* Fri Jan 11 2013 umeabot <umeabot> 0.2.4-3.mga3
+ Revision: 348479
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 cjw <cjw> 0.2.4-2.mga3
+ Revision: 338423
- patch1: fix build with automake 1.13

* Wed Oct 24 2012 luigiwalser <luigiwalser> 0.2.4-1.mga3
+ Revision: 309701
- 0.2.4
- call autoreconf as upstream no longer ships configure script
- 0.2.3 (fixes CVE-2012-4510)

* Tue Oct 18 2011 mikala <mikala> 0.2.1-1.mga2
+ Revision: 155999
- Update tarball to 0.2.1
- switch buildrequires to pkconfig()
- remove %%clean section
- remove %%defattr()

* Fri Jun 24 2011 mikala <mikala> 0.1.2-1.mga2
+ Revision: 112882
- imported package cups-pk-helper

